Subject: Re: [PATCH net-next 0/6] A step closer to RFC 6458 compliancy

From: Vlad Yasevich <[email-masked]>
Date: Tue, 17 Jun 2014 14:42:24 -0400

On 06/17/2014 11:36 AM, David Laight wrote:
> From: Of Geir Ola Vaagland
>> These patches are part of my master thesis project. I have been searching for discrepancies between
>> the socket API specificiation in RFC 6458 and the current Linux SCTP implementation. The following
>> patches are my humble attempts at getting somewhat closer to compliancy.
> 
> I've just been reading RFC 6458 - HTF did it get past the editors and
> then published in its current form?
> Lots of the structures have implied padding.
> There is an embedded 'struct sockaddr_storage' in the middle of
> one structure. In some OS this should never actually be instantiated.

This particular horse has been beaten to death already.  It has been
around for so long that we couldn't really change it anymore.

I've argued the padding issue, but the editor stance is that it's implementation
dependent.

-vlad

> 
> Maybe the interface could have been changed in 2001, but not in 2011.
> 
> 	David
> 
> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe linux-sctp" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>